MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028125Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2016-11-17 17:212018-05-15 18:05
Reporterabv 
Assigned Tomsv 
PrioritynormalSeverityminor 
StatusnewResolutionopen 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0028125: Modeling Algorithms - support of BRep shapes based on tessellated geometry
DescriptionOCCT TopoDS model allows defining BRep shapes with edges and faces based on triangulated representation, without geometric curves and surfaces. This representation can be quite useful in some applications, especially when working with large models without a need to modify them. However, most of OCCT algorithms cannot handle such data.

It can be reasonable to improve some OCCT algorithms to be able to deal with tessellated shapes. The first candidates are:

- calculation of bounding boxes -- should be already available (BRepBndLib)
- calculation of volume and surface properties (BRepGProp)
- calculation of distances between objects (BRepExtrema)
- calculation of HLR (HLRBRep_PolyAlgo)?

This is meta-issue to provide this kind of functionality in OCCT. Issues for improvements of particular algorithms shall be created as children of this one.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0027992closedapn Open CASCADE Modeling Algorithms - Extrema_ExtPS crashes on face without geometric surface 
related to 0027991closedapv Open CASCADE Modeling Algorithms - BRepGProp_Face crashes on face without geometric surface 
related to 0029524verifiedbugmaster Open CASCADE Modeling Algorithms - access violation in HLRBRep_PolyAlgo while computing HLR for triangulation-only surface 
related to 0025388closedbugmaster Open CASCADE Improve STL reader to generate one triangulation instead of compound of faces 
related to 0029734assignedifv Open CASCADE Modeling Algorithms - Compute global properties of tessellated shape 
related to 0029776newmsv Community Modeling Algorithms - Boolean Operation support of BRep shapes based on tessellated geometry 
Not all the children of this issue are yet resolved or closed.

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2016-11-17 17:21 abv New Issue
2016-11-17 17:21 abv Assigned To => msv
2016-11-17 17:21 abv Relationship added related to 0027992
2016-11-17 17:22 abv Relationship added related to 0027991
2017-04-26 11:55 abv Relationship added related to 0025388
2017-07-24 09:22 msv Target Version 7.2.0 => 7.3.0
2017-12-05 17:01 msv Target Version 7.3.0 => 7.4.0*
2018-04-24 11:53 kgv Relationship added related to 0029524
2018-04-24 11:54 kgv Description Updated View Revisions
2018-04-24 12:01 kgv Summary Modeling - support of BRep shapes based on tessellated geometry => Modeling Algorithms - support of BRep shapes based on tessellated geometry
2018-04-27 14:26 asl Relationship added parent of 0029731
2018-05-04 11:54 msv Relationship added related to 0029734
2018-05-15 18:02 eryar Relationship added parent of 0029776
2018-05-15 18:03 eryar Relationship deleted parent of 0029776
2018-05-15 18:03 eryar Relationship added related to 0029776
2018-05-15 18:04 eryar Relationship deleted related to 0029776
2018-05-15 18:04 eryar Relationship added parent of 0029776
2018-05-15 18:05 eryar Relationship deleted parent of 0029776
2018-05-15 18:05 eryar Relationship added related to 0029776


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker